import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

class BaseEntity {}

mixin EntityWithId {
  late int id;
}

mixin EntityWithIdAndName {
  late int id;
  @JsonKey(name: 'Name')
  @Index(unique: true, hash: true)
  String? name;
}
