import 'package:flutter/material.dart';

import '../../../../entity/entities.dart';
import '../../../../packages/ambito_theme/ambito_theme.dart';
import '_main_card.dart';

class DescriptionCard extends StatelessWidget {
  const DescriptionCard({super.key, required this.massnahme});

  final MeasureTypes massnahme;

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);

    return MainCard(
      massnahme: massnahme,
      title: 'page.actionDetailPage.description.title',
      content: Text(
        massnahme.description ?? '',
        style: theme.currentThemeData.textTheme.bodyLarge,
        textAlign: TextAlign.left,
      ),
    );
  }
}
