import 'package:flutter/material.dart';

import '../../../../entity/entities.dart';
import '../../../../packages/ambito_theme/ambito_theme.dart';
import '_main_card.dart';

class LocationCard extends StatelessWidget {
  const LocationCard({super.key, required this.massnahme});

  final MeasureTypes massnahme;

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);

    return MainCard(
      massnahme: massnahme,
      title: 'page.actionDetailPage.location.title',
      content: Text(
        massnahme.applyLocation.toString(),
        style: theme.currentThemeData.textTheme.bodyLarge,
      ),
    );
  }
}
